;*******************************************************************************
;  Filename:    DELAY_short.asm                                                *
;                                                                              *
;  Version:  	01/09/2012    V1.0      Version originale                      *
;                                                                              *
;                                                                              *
;  Author:        Philippe DOUILLARD                                           *
;*******************************************************************************
;  DESCRIPTION                                                                 *
;                                 			                       *
;  Tempo courte dure                                                          *
;                                                                              *
;*******************************************************************************

;*********************** Directive d' assemblage pour MPLAB   ******************

	LIST P=18F4520, F=INHX32    ;directive to define processor & file format
        #include <P18F4520.INC>     ;processor specific variable definitions

;************************VARIABLES DEFINITION **********************************

;                UDATA

;compteur        res 1

;************************VARIABLES EXTERNES ************************************
	
	extern temp4
;************************* SOUS ROUTINE ****************************************

PROG            CODE

Delay_short
                global Delay_short

;-------------- PAGE SELECT ----------------------------------------------------

                BCF STATUS,5		; Select BANK 0
                BCF STATUS,6		; par defaut

;-------------- Sous routine ---------------------------------------------------

                movlw d'20'            ; Nombre de cycle x 2 Micro seconde
                movwf temp4
loop                
                decfsz temp4        ; dcrmenter compteur d'octets
                bra loop


;--------------- exit ------------------------------------				

                return              ; retour du sous programme
			
                END
